ExportOptions

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.export.java
Class ExportOptions

    java.lang.Object
      org.openswing.swing.export.java.ExportOptions

All Implemented Interfaces:
  java.io.Serializable

public class ExportOptions
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Export information needed to export data related, for instance to a grid) on the server side.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CSV_FORMAT1`
`static java.lang.String` | `CSV_FORMAT2`
`static java.lang.String` | `HTML_FORMAT`
`static java.lang.String` | `PDF_FORMAT`
`static java.lang.String` | `RTF_FORMAT`
`static java.lang.String` | `XLS_FORMAT`
`static java.lang.String` | `XML_FORMAT`
`static java.lang.String` | `XML_FORMAT_FAT`

Constructor Summary
`ExportOptions(GridExportOptions gridOpts, java.lang.String dateFormat, java.lang.String timeFormat, java.lang.String dateTimeFormat, java.lang.String exportType, ExportToPDFAdapter exportToPDFAdapter, ExportToRTFAdapter exportToRTFAdapter)` Method called by Grid.

Method Summary
`void` | `addComponentExportOptions(ComponentExportOptions options)` Add a component descriptor for exporting task.
`java.util.ArrayList` | `getComponentsExportOptions()`
`java.lang.String` | `getDateFormat()`
`java.lang.String` | `getDateTimeFormat()`
`ExportToPDFAdapter` | `getExportToPDFAdapter()`
`ExportToRTFAdapter` | `getExportToRTFAdapter()`
`java.lang.String` | `getExportType()`
`java.lang.String` | `getTimeFormat()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XLS_FORMAT

    public static final java.lang.String XLS_FORMAT

See Also:
  Constant Field Values

### CSV_FORMAT1

    public static final java.lang.String CSV_FORMAT1

See Also:
  Constant Field Values

### CSV_FORMAT2

    public static final java.lang.String CSV_FORMAT2

See Also:
  Constant Field Values

### XML_FORMAT

    public static final java.lang.String XML_FORMAT

See Also:
  Constant Field Values

### XML_FORMAT_FAT

    public static final java.lang.String XML_FORMAT_FAT

See Also:
  Constant Field Values

### HTML_FORMAT

    public static final java.lang.String HTML_FORMAT

See Also:
  Constant Field Values

### PDF_FORMAT

    public static final java.lang.String PDF_FORMAT

See Also:
  Constant Field Values

### RTF_FORMAT

    public static final java.lang.String RTF_FORMAT

See Also:
  Constant Field Values

Constructor Detail

### ExportOptions

    public ExportOptions(GridExportOptions gridOpts,
                         java.lang.String dateFormat,
                         java.lang.String timeFormat,
                         java.lang.String dateTimeFormat,
                         java.lang.String exportType,
                         ExportToPDFAdapter exportToPDFAdapter,
                         ExportToRTFAdapter exportToRTFAdapter)

  Method called by Grid.

Parameters:
  `gridOpts` - grid export options
  `dateFormat` - date format
  `timeFormat` - time format
  `dateTimeFormat` - date+time format
  `exportType` - export format

Method Detail

### getDateFormat

    public final java.lang.String getDateFormat()

  Returns:
    date format

### getTimeFormat

    public final java.lang.String getTimeFormat()

  Returns:
    time format

### getDateTimeFormat

    public final java.lang.String getDateTimeFormat()

  Returns:
    date+time format

### getExportType

    public final java.lang.String getExportType()

  Returns:
    export format

### getComponentsExportOptions

    public final java.util.ArrayList getComponentsExportOptions()

  Returns:
    list of component descriptors for exporting task

### addComponentExportOptions

    public final void addComponentExportOptions(ComponentExportOptions options)

  Add a component descriptor for exporting task.

### getExportToPDFAdapter

    public final ExportToPDFAdapter getExportToPDFAdapter()

  Returns:
    adapter for exporting to PDF format

### getExportToRTFAdapter

    public final ExportToRTFAdapter getExportToRTFAdapter()

  Returns:
    adapter for exporting to RTF format

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD